clc;
clear;
% 读取数据文件
data = csvread('a3_out.txt');
figure;
for i = 1:length(data(:,1))
    % 分别提取 x、y、xf 和 yf 列
    x = data(1:i, 1);
    y = data(1:i, 2);
    xf = data(1:i, 3);
    yf = data(1:i, 4);
    %plot(x,y,'b+');
    hold on;
    plot(xf,yf,'r.');
end